# Cisco BGP Peer [(Download the MKP package)](/../../../-/raw/master/cisco_bgp_peer.mkp "Download MKP package")

**Note: this package is for CheckMK version 2.x. For other versions see the corresponding branch.**

Monitors status of Cisco BGP peers
---
**Incompatible changes form the last version (for CMK 1.6.x)**
- **minuptime: changed from warn to warn/crit**
- **check output: remove details changed to add details**
- **perfdata: names changed**

**Note**: the service name has ben changed from _**Cisco BGP peer**_ to _**BGP pee**r_. This is the first step of streamlining this check with my other BGP plugins [BGP Peer](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer "BGP Peer") and [Huawei BGP Peer](https://thl-cmk.hopto.org/gitlab/checkmk/huawei/huawei_bgp_peers "Huawei BGP Peer").

---
Check Info:

* *service*: this check creates one service for each peer/address family  (IPv4 and IPv6)
* *state*: \
    **critical**: if Peer state is idle or if acceptedprefixed >= prefixadminlimit\
    **warning**: if Peer state is not idle or not established, if acceptedprefixed >= warnthreshold, if Admin state is not admin start\
    **critical**/**warning**: if Peer uptime below the configured levels (see WATO)\
    **critical**: if Peer not found in SNMP data (configurable via WATO)
* *wato*: [see WATO options](/doc/wato.png?raw=true "WATO options")
   
* *perfdata (if avilable)*: 
    * Prefixes accepted (count)
    * Prefixes advertised (/s)
    * Prefixes denied (/s)
    * Prefixes suppressed (/s)
    * Prefixes withdrawn (/s)
    * Updates received (/s)
    * Updates send (/s)
    * Total messages received (/s)
    * Total messages send (/s)
    * FMS transitions (count)
    * FMS last change (s)
    * Last update received (s)
---
#### Want to contribute?
Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")
---
Sample output

![sample output](/doc/sample.png?raw=true "sample output")

WATO options

![WATO options](/doc/wato.png?raw=true "WATO options")
